#!/bin/sh

autopoint -f 

rm -f po/Makevars.template
rm -f po/Rules-quot
rm -f po/boldquot.sed
rm -f po/en@boldquot.header
rm -f po/en@quot.header
rm -f po/insert-header.sin
rm -f po/quot.sed

rm -f aclocal.m4
rm -rf autom4te.cache

aclocal -I m4 --force
autoconf --force
autoheader --force
automake --gnu --copy --add-missing --force-missing

cd po
for f in *.po; do
  if test -r "$f"; then
    lang=`echo $f | sed -e 's,\.po$,,'`
    msgfmt -c -o $lang.gmo $lang.po
  fi
done
cd ..

sed -i 's/datadir = @datadir@/datadir = @datadir@\ndatarootdir = @datarootdir@/' po/Makefile.in.in
