/* -*- pftp-c -*- */

#ifndef SITE_MANAGER_H
#define SITE_MANAGER_H

typedef struct site_manager_s *site_manager_t;

site_manager_t initSiteManager(GtkWidget *wnd, GtkWidget *parent);
void freeSiteManager(site_manager_t wnd);

// only used by callback.c
void showSiteManager(void);
void closeSiteManager(void);

void siteManagerNewSite(void);
void siteManagerSiteTreeSelection(void);

void siteManagerAddHost(void);
void siteManagerDelHost(void);
void siteManagerEditHost(void);

void siteManagerUseSecure(void);

void siteManagerPrioListSelection(void);
void siteManagerAddPrioMask(void);
void siteManagerDelPrioMask(void);
void siteManagerEditPrioMask(void);
void siteManagerMoveUpPrioMask(void);
void siteManagerMoveDownPrioMask(void);

void siteManagerIgnoreListSelection(void);
void siteManagerAddSkipMask(void);
void siteManagerDelSkipMask(void);
void siteManagerEditSkipMask(void);

#endif /* SITE_MANAGER_H */
