/* -*- pftp-c -*- */

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#if HAVE_STDLIB_H
# include <stdlib.h>
#endif
#if HAVE_STDIO_H
# include <stdio.h>
#endif
#if HAVE_INTTYPES_H
# include <inttypes.h>
#endif
#if HAVE_STRING_H
# include <string.h>
#endif
#if HAVE_UNISTD_H
# include <unistd.h>
#endif

#include <gtk/gtk.h>
#include <pftputil.h>
#include <pftp_client.h>

#include "about_dlg.h"
#include "support.h"
#include "utf8.h"

#ifdef WITH_DMALLOC
#include <dmalloc.h>
#endif

static GtkDialog *aboutdlg = NULL;

void initAboutDlg(GtkDialog *about, GtkWidget *parent)
{
    aboutdlg = about;
    gtk_window_set_transient_for(GTK_WINDOW(aboutdlg), GTK_WINDOW(parent));
}

void about_dlg(void)
{
    gtk_dialog_run(aboutdlg);
    
    gtk_widget_hide(GTK_WIDGET(aboutdlg));
}
